{
  "schema_version": "1.4.0",
  "id": "GHSA-xh3h-4jg9-r3p2",
  "modified": "2025-04-09T03:45:09Z",
  "published": "2022-05-01T18:01:28Z",
  "aliases": [
    "CVE-2007-2223"
  ],
  "details": "Microsoft XML Core Services (MSXML) 3.0 through 6.0 allows remote attackers to execute arbitrary code via the substringData method on a (1) TextNode or (2) XMLDOM object, which causes an integer overflow that leads to a buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-2223"
    },
    {
      "type": "WEB",
      "url": "https://docs.microsoft.com/en-us/security-updates/securitybulletins/2007/ms07-042"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A2069"
    },
    {
      "type": "WEB",
      "url": "http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=576"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26447"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/361968"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/476527/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/476747/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/25301"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1018559"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2866"
    },
    {
      "type": "WEB",
      "url": "http://www.zerodayinitiative.com/advisories/ZDI-07-048"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-08-14T21:17:00Z"
  }
}